Bug 166825 - New port: cad/openvsp NASA open source parametric aircraft geometry tool
Summary: New port: cad/openvsp NASA open source parametric aircraft geometry tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-10 17:20 UTC by Fernando Apesteguía
Modified: 2012-04-22 13:10 UTC (History)
0 users

See Also:


Attachments
file.shar (7.83 KB, text/plain)
2012-04-10 17:20 UTC, Fernando Apesteguía
no flags Details
openvsp.shar.txt (6.45 KB, text/plain; charset=US-ASCII)
2012-04-19 20:02 UTC, Fernando Apesteguía
no flags Details
openvsp.shar.txt (3.22 KB, text/plain; charset=US-ASCII)
2012-04-20 17:03 UTC, Fernando Apesteguía
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2012-04-10 17:20:01 UTC
This patch adds support for OpenVSP, NASA's open source parametric aircraft geometric tool.

Fix: Apply the attached patch.

Patch attached with submission follows:
Comment 1 Michael Scheidell freebsd_committer 2012-04-14 13:07:10 UTC
Thank you for your support of FreeBSD and your new port submission.  You 
support is greatly appreciated

I took a quick look at the Makefile, and had a minor suggestion.
You might look for information on, and use the build in PORTEXAMPLES 
macro's, which will simplify both your Makefile, and pkg-plist, and 
don't forget to test with 'NOPORTEXAMPLES',

(I have NOT downloaded and looked yet), but also, as you test your port, 
make sure you run portlint -abt to doublecheck.

Again, Thanks for your submission, and if you need any help on the 
above, look at /usr/ports/Mk/* files, and or ask in mailing list 
freebsd-ports.
-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 2 Pawel Pekala freebsd_committer 2012-04-19 15:26:10 UTC
I didn't test it, but:

CFLAGS+=3D	-I${LOCALBASE}/openNURBS

might make most of the patches not needed.=20

--=20
pozdrawiam / with regards
Pawe=B3 P=EAkala
Comment 3 Fernando Apesteguía freebsd_committer 2012-04-19 20:02:29 UTC
I reworked the Makefile a little. This new version uses PORTEXAMPLES.

I didn't have a look at the possibility of eliminating several patches.

Cheers
Comment 4 Fernando Apesteguía freebsd_committer 2012-04-20 17:03:46 UTC
Hi again,

Pawel was right. In this (final?) version I use:

CFLAGS=	-I${LOCALBASE}/include/openNURBS

so I can remove all the patches but one.

I attach the last version of the port.

Cheers.
Comment 5 Pawel Pekala freebsd_committer 2012-04-22 11:43:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 dfilter service freebsd_committer 2012-04-22 13:06:27 UTC
pawel       2012-04-22 12:06:12 UTC

  FreeBSD ports repository

  Modified files:
    cad                  Makefile 
  Added files:
    cad/openvsp          Makefile distinfo pkg-descr 
    cad/openvsp/files    patch-xmlvsp-CMakeLists.txt 
  Log:
  NASA Open Source Parametric Geometry
  
  OpenVSP allows the user to create a 3D model of an aircraft defined by
  common engineering parameters. This model can be processed into
  formats suitable for engineering analysis.
  
  WWW: http://www.openvsp.org/
  
  PR:             ports/166825
  Submitted by:   Fernando Apesteguia <fernando.apesteguia@gmail.com>
  
  Revision  Changes    Path
  1.139     +1 -0      ports/cad/Makefile
  1.1       +46 -0     ports/cad/openvsp/Makefile (new)
  1.1       +2 -0      ports/cad/openvsp/distinfo (new)
  1.1       +11 -0     ports/cad/openvsp/files/patch-xmlvsp-CMakeLists.txt (new)
  1.1       +7 -0      ports/cad/openvsp/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Pawel Pekala freebsd_committer 2012-04-22 13:06:31 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!